# The LUPE Pain Analysis

<p align="center">
<img src="lupe/images/logo.png" width="400">
</p>

Introducing LUPE, the innovative no code website predicting pain behavior in mice. 
With our platform, you can input pose and classify mice behavior inside the LUPE Box. 
LUPE can further summarize a composite pain score for mice behavior. 
Best of all, LUPE runs without the need for a GPU. 
With in-depth analysis and interactive visuals, as well as downloadable CSVs for easy integration into your existing workflow, 
Try LUPE today and unlock a new level of insights into animal behavior.


### Installation
```commandline
pip install lupe
```

### Usage
```commandline
lupe gui
```

### Project funding
Collaboration between Corder Lab at University of Pennsylvania and 
Yttri Lab from Carnegie Mellon. 
Alex Hsu actively develops and maintains this repository/cloud resource.


### Anaconda environment to better support development
```commandline
conda create -n lupe python=3.9
pip install lupe
```

### Website
Thanks to Streamlit Community Cloud,
we are able to bring mobile data analytics to life!
Stay tuned for the free cloud app.

### LICENSE
LUPE App is released under a 
Clear BSD License
and is intended for research/academic use only.

---
